html, body {
	height: 100%;
	margin: 0;
	padding: 0;
}

body {
	font-family: sans-serif;
	margin: 0;
	padding: 0;
	height: 100%;
	overflow-y: hidden;
}

/***** Pages *****/
#navigation {
	height: calc(50px - 10px);
	width: calc(100% - 10px);
	margin: 0;
	padding: 5px;
	display: table;

	background-color: #2B492B;
	text-align: center;
	font-size: 30px;
	color: #FFF;
}

#navigation span {
	display: table-cell;
}

.view {
	height: calc(100% - 50px);
	width: 100%;
	padding: 0;
	margin: 0;
	display: none;
	flex-direction: column;
}

.fullscreen {
	position: absolute;
	top: 0;
	width: calc(100% - 20px);
	height: calc(100% - 20px);
	padding: 10px;
	margin: 0;
	overflow: hidden;
	z-index: 10;

	display: none;
	flex-direction: column;
	align-items: center;
	justify-content: space-between;

	color: #000;
	text-align: center;
	text-shadow: 0 0 1px #FFF;
}

#loading {
	background: #6B8E6B;
	display: flex;
}

#booting {
	background: #6B8E8E;
}

#denied {
	background: #DD6A0A;
}

#disconnect {
	background: #05A1D4;
}

#queue {
	background-color: #93A893;

	width: 100%;
	padding: 0;
	margin: 0;
}

#musiclist {
	flex-direction: column;
}

/**** Fullscreen Classes ****/
.fullscreen-title {
	font-size: 36pt;
}

.fullscreen-logo {
	width: 20vh;
	height: 20%;
	padding: 50px;
	border-radius: 100%;
}

.fullscreen-img {
	width: 100%;
	height: 100%;
}

.fullscreen-text {
	font-size: 24pt;
}

.loading-logo {
	background: #2B492B;
	box-shadow: 0 0 50px #93A893;
}

.denied-logo {
	background: #2B492B;
	box-shadow: 0 0 50px #F00;
}

.disconnect-logo {
	background: #2B492B;
	box-shadow: 0 0 50px #2100FF;
}

/***** Queue Tab *****/
#queue-clear {
	background-color: #6B8E6B;
	font-size: 20pt;
	text-align: center;
	padding: 5px;
	color: #000;
}

#queue-list {
	font-size: 14pt;
}

/***** Layout *****/
.panel {
	flex: none;
	width: calc(100% - 10px);
	padding: 5px;

	background-color: #6B8E6B;
	color: #000;
	text-shadow: 1px 1px #AAA;
	text-align: center;
}

#playlist {
	flex: 1;
	background-color: #93A893;

	width: 100%;
	padding: 0;
	margin: 0;

	overflow-y: auto;
	position: relative;
}

#coverart {
	flex: auto;

	background-color: #444;
	background-image: url("");
	background-repeat: no-repeat;
	background-size: contain;
	background-position: center;
}

/***** Header *****/
#title {
	font-size: 20pt;
}

#artist {
	font-size: 18pt;
}

#search {
	margin: 0;
	border: 0;
	padding: 0;
	padding-left: 5px;

	width: 100%;
	font-size: 16pt;
}

/***** Playback controls *****/
#volume-controls {
	width: 100%;
	padding: 10px 0 10px 0;
	display: table;
	table-layout: fixed;
}

#volume {
	width: 95%;
	display: table-cell;
}
#volume-label {
	display: table-cell;
	width: 5em;
	text-align: left;
	padding-left: 10px;
}
#volume-level {
	display: table-cell;
	width: 5em;
	text-align: right;
	padding-right: 10px;
}
#volume-level::after {
	content: "%";
}

#playback-controls {
	padding: 20px 0 10px 0;
	display: table;
	width: 100%;
}

#song-controls {
	display: table;
	table-layout: fixed;
	width: 100%;
	padding-bottom: 10px;
}

#position {
	display: table-cell;
	width: 100%;
}

input[type=range] {
	margin: 0;
	padding: 0;
	border: 0;
	background: transparent;
}

#time-elapsed {
	display: table-cell;
	text-align: right;
	padding-right: 10px;
}

#time-remaining {
	display: table-cell;
	text-align: left;
	padding-left: 10px
}

.time {
	width: 3em;
}

.control {
	display: table-cell;

	padding: 10px;
	font-size: 18pt;
	text-align: center;
}

/* Playlist */
#songs {
	position: relative; /* Needed due to how offsetTop is computed */
	font-size: 14pt;
}

.selected {
	background-color: #A8A556;
}

dd .queueStatus {
	position: absolute;
	left: 5px;

	z-index: 0;
	height: 40px;
	width: 30px;

	color: #666;
	font-size: 30px;
	line-height: 35px;

	text-align: center;
	text-indent: -3px;
	letter-spacing: -3px;
}

.title {
	width: 100%;

	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	display: inline-block;
}

.album {
	font-size: 11pt;
	font-style: italic;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

dl {
  margin: 0;
  padding: 0;
  width: 100%;

  position: absolute;
}

dt {
  position: -webkit-sticky;
  position: sticky;

  width: calc(100% - 5px);
  height: 30px;
  top: 0px;
  margin: 0;
  padding: 5px 0 5px 5px;
  background-color: #6B8E6B;

  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 20px;
  font-weight: bold;
  z-index: 1;
}

dd {
  margin: 0;
  padding: 0 0 0 40px;

  width: calc(100% - 40px);
  height: 40px;

  padding-top: 5px;
  padding-bottom: 5px;

  line-height: 1;
}

dd + dd {
	border-top: 1px solid #6B8E6B;
}
